# $Revision: 1.69 $, $Date: 2010/02/11 08:29:58 $
# TODO: use system qt qt.qm files instead of included copies
#
# Conditional build:
%bcond_without	qt	# disable qt wrapper
#
Summary:	DjVu viewers, encoders and utilities
Summary(pl.UTF-8):	DjVu - przeglądarki, dekodery oraz narzędzia
Name:		djvulibre
Version:	3.5.22
Release:	1
License:	GPL v2+
Group:		Applications/Graphics
Source0:	http://dl.sourceforge.net/djvu/%{name}-%{version}.tar.gz
# Source0-md5:	d1513784ce0e4f37d71595dc34c95ec7
Patch0:		%{name}-opt.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-link.patch
URL:		http://djvu.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
%if %{with qt}
BuildRequires:	qt-devel >= 3:3.0.5
BuildRequires:	qt-linguist
%endif
BuildRequires:	rpmbuild(macros) >= 1.357
%{?with_qt:BuildRequires:	xorg-lib-libXt-devel}
Obsoletes:	djvu
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DjVu is a web-centric format and software platform for distributing
documents and images. DjVu content downloads faster, displays and
renders faster, looks nicer on a screen, and consume less client
resources than competing formats. DjVu was originally developed at
AT&T Labs-Research by Leon Bottou, Yann LeCun, Patrick Haffner, and
many others. In March 2000, AT&T sold DjVu to LizardTech Inc. who now
distributes Windows/Mac plug-ins, and commercial encoders (mostly on
Windows).

In an effort to promote DjVu as a Web standard, the LizardTech
management was enlightened enough to release the reference
implementation of DjVu under the GNU GPL in October 2000. DjVuLibre
(which means free DjVu), is an enhanced version of that code
maintained by the original inventors of DjVu. It is compatible with
version 3.5 of the LizardTech DjVu software suite.

This package of DjVulibre 3.5 contains:
- A full-fledged wavelet-based compressor for pictures.
- A simple compressor for bitonal (black and white) scanned pages.
- A compressor for palettized images (a la GIF/PNG).
- A set of utilities to manipulate and assemble DjVu images and
  documents.
- A set of decoders to convert DjVu to a number of other formats.
- An up-to-date version of the C++ DjVu Reference Library.

Following elements are placed in other subpackages:
- a standalone DjVu viewer based on the Qt library.
- A browser plugin that works with most Unix browsers.

%description -l pl.UTF-8
DjVu jest przeznaczonym głównie dla WWW formatem i platformą
programową do dystrybucji dokumentów i obrazków. Dane w DjVu ściągają
się szybciej, wyświetlają szybciej, wyglądają ładniej na ekranie i
zajmują mniej zasobów po stronie klienckiej niż inne formaty. DjVu
oryginalnie został stworzony w AT&T Labs-Research przez Leona Bottou,
Yanna LeCun, Patricka Haffnera i wielu innych. W marcu 2000 AT&T
sprzedało DjVu firmie LizardTech Inc., które teraz rozpowszechnia
wtyczki dla Windows i Maca oraz komercyjne kodery (głównie dla
Windows).

Aby wypromować DjVu jako sieciowy standard, LizardTech udostępnił
wzorcową implementację DjVu na licencji GPL w październiku 2000.
DjVuLibre (czyli wolne DjVu) jest rozszerzoną wersją tego kodu
rozwijaną przez pomysłodawców DjVu. Jest kompatybilna z wersją 3.5
oprogramowania LizardTech DjVu.

Ten pakiet zawiera: bibliotekę w C++, zestaw kompresorów, dekoderów i
narzędzi do plików w formacie DjVu. Przeglądarka oraz wtyczki do
przeglądarek znajdują się w innych podpakietach.

%package devel
Summary:	Header file for DjVu library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki DjVu
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libjpeg-devel
Requires:	libstdc++-devel

%description devel
Header file for DjVu library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki DjVu.

%package djview
Summary:	Qt-based DjVu viewer
Summary(pl.UTF-8):	Oparta o Qt przeglądarka DjVu
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Obsoletes:	djview

%description djview
Qt-based DjVu viewer.

%description djview -l pl.UTF-8
Oparta o Qt przeglądarka DjVu.

%package -n browser-plugin-%{name}
Summary:	DjVu browser plugin
Summary(pl.UTF-8):	Wtyczka DjVu do przegląderek WWW
Group:		X11/Libraries
Requires:	%{name}-djview = %{version}-%{release}
Requires:	browser-plugins >= 2.0
Requires:	browser-plugins(%{_target_base_arch})
# for migrate purposes (greedy poldek upgrade)
Provides:	mozilla-plugin-djvulibre
Provides:	netscape-plugin-djvulibre
Obsoletes:	djview-netscape
Obsoletes:	mozilla-plugin-djvulibre
Obsoletes:	netscape-plugin-djvulibre

%description -n browser-plugin-%{name}
DjVu plugin for Mozilla and Mozilla-based browsers.

%description -n browser-plugin-%{name} -l pl.UTF-8
Wtyczka DjVu do przeglądarek zgodnych z Mozillą.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/config.sub config
%{__aclocal} -I config
%{__autoconf}
export QT_LIBS="-L%{_libdir} -lqt-mt"
export QT_CFLAGS="-I%{_includedir}/qt"
%configure \
	PTHREAD_LIBS="-lpthread"

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_browserpluginsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	plugindir=%{_browserpluginsdir}

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/djview.1
echo '.so djview3.1' > $RPM_BUILD_ROOT%{_mandir}/man1/djview.1
echo '.so djview3.1' > $RPM_BUILD_ROOT%{_mandir}/ja/man1/djview.1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post -n browser-plugin-%{name}
%update_browser_plugins

%postun -n browser-plugin-%{name}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%doc COPYRIGHT NEWS README TODO doc/*
%attr(755,root,root) %{_bindir}/[!d]*
%attr(755,root,root) %{_bindir}/d[!j]*
%attr(755,root,root) %{_bindir}/djv[!i]*
%attr(755,root,root) %{_libdir}/libdjvulibre.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdjvulibre.so.21
%{_mandir}/man1/[!dn]*
%{_mandir}/man1/d[!j]*
%{_mandir}/man1/djv[!i]*
%lang(ja) %{_mandir}/ja/man1/[!dn]*
%lang(ja) %{_mandir}/ja/man1/d[!j]*
%lang(ja) %{_mandir}/ja/man1/djv[!i]*
%dir %{_datadir}/djvu
%dir %{_datadir}/djvu/osi
%{_datadir}/djvu/osi/languages.xml
%lang(cs) %{_datadir}/djvu/osi/cs
%lang(de) %{_datadir}/djvu/osi/de
%{_datadir}/djvu/osi/en
%lang(fr) %{_datadir}/djvu/osi/fr
%lang(ja) %{_datadir}/djvu/osi/ja
%lang(zh) %{_datadir}/djvu/osi/zh
%{_datadir}/djvu/pubtext

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdjvulibre.so
%{_libdir}/libdjvulibre.la
%{_includedir}/libdjvu
%{_pkgconfigdir}/ddjvuapi.pc

%if %{with qt}
%files djview
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/djview
%attr(755,root,root) %{_bindir}/djview3
%dir %{_datadir}/djvu/djview3
%lang(cs) %{_datadir}/djvu/djview3/cs
%lang(de) %{_datadir}/djvu/djview3/de
%lang(fr) %{_datadir}/djvu/djview3/fr
%lang(ja) %{_datadir}/djvu/djview3/ja
%{_mandir}/man1/djview.1*
%{_mandir}/man1/djview3.1*
%lang(ja) %{_mandir}/ja/man1/djview.1*
%lang(ja) %{_mandir}/ja/man1/djview3.1*
%{_desktopdir}/djvulibre-djview3.desktop
%{_iconsdir}/hicolor/*/apps/djvulibre-djview3.png
%{_iconsdir}/hicolor/*/mimetypes/mime-image-vnd.djvu.png

%files -n browser-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_browserpluginsdir}/nsdejavu.so
%{_mandir}/man1/nsdejavu.1*
%lang(ja) %{_mandir}/ja/man1/nsdejavu.1*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: djvulibre.spec,v $
Revision 1.69  2010/02/11 08:29:58  amateja
- added BR: qt-linguist

Revision 1.68  2010/02/11 07:40:17  amateja
- updated to 3.5.22
- removed redundent djvulibre-nostrip.patch
- renumerated patches
- adjusted soversion

Revision 1.67  2010/02/10 08:51:45  arekm
- parallel build broken

Revision 1.66  2010/01/28 19:40:40  arekm
- release 3

Revision 1.65  2009/08/18 12:23:51  arekm
- release 2

Revision 1.64  2008/01/12 13:58:20  qboosh
- ghost soname symlink
- package cs locale for djview3

Revision 1.63  2008-01-04 01:13:21  qboosh
- copy-pasto

Revision 1.62  2008-01-04 00:57:38  zbyniu
- up to 3.5.20

Revision 1.61  2007-08-30 17:26:19  qboosh
- updated to 3.5.19
- updated desktop patch

Revision 1.60  2007/04/10 23:28:29  shadzik
- qt-devel epoch 3

Revision 1.59  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.58  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.57  2007/02/04 23:01:23  qboosh
- actually apply link patch

Revision 1.56  2007/02/04 23:00:53  qboosh
- added link patch, BR: libXt-devel for nsdejavu plugin

Revision 1.55  2007/02/04 22:29:58  qboosh
- removed obsolete comment

Revision 1.54  2007/02/04 22:29:12  qboosh
- updated desktop patch and files to install icons with expected names

Revision 1.53  2007/02/04 22:11:10  qboosh
- updated to 3.5.18
- updated nostrip,desktop patches

Revision 1.52  2007/01/10 17:42:40  glen
- browser plugins v2; rel 4

Revision 1.51  2006/10/30 18:07:20  shadzik
- support mozilla-firefox-bin; rel++

Revision 1.50  2006/09/21 15:34:40  arekm
- don't include mime desktop file

Revision 1.49  2006/05/16 17:26:35  freetz
- builds now, rel.1, packaged pkgconfig file

Revision 1.48  2006/05/16 17:20:09  freetz
- better md5 (tarball replaced)

Revision 1.47  2006/05/16 17:14:33  freetz
- 3.5.17, dropped obsoleted c++ patch, build fails for now

Revision 1.46  2006/05/14 11:06:04  blues
- breowsers macro extended

Revision 1.45  2006/05/04 21:37:48  glen
- browser-plugins(%{_target_base_arch}), rel 3

Revision 1.44  2006/04/19 19:28:35  adamg
- triggers for seamonkey

Revision 1.43  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.42  2005/12/11 11:20:15  qrczak
- C++ fixes needed for gcc4, mostly "extra qualification" errors.

Revision 1.41  2005/12/09 14:20:45  baggins
- release 2

Revision 1.40  2005/12/09 14:05:21  baggins
- typo

Revision 1.39  2005/12/09 13:58:42  baggins
- forefox?

Revision 1.38  2005/11/04 13:01:21  qboosh
- updated to 3.5.16 (fixes for gcc 4)

Revision 1.37  2005/09/06 19:07:00  glen
- migration triggers

Revision 1.36  2005/09/06 18:39:54  qboosh
- pl for browser-plugin-

Revision 1.35  2005/09/06 16:53:25  glen
- cleanup

Revision 1.34  2005/09/06 16:52:43  glen
- missing requires

Revision 1.33  2005/09/06 16:52:04  glen
- typo

Revision 1.32  2005/09/06 16:46:53  glen
- use triggers to handle browser plugins, rel 2

Revision 1.31  2005/07/19 17:18:57  freetz
- 3.5.15, with qt not tested

Revision 1.30  2005/07/11 14:10:09  freetz
- dropped obsoleted gnome mime stuff

Revision 1.29  2005/05/08 03:38:21  wrobell
- allow to build without qt
- rel. 2

Revision 1.28  2004/07/25 21:23:23  qboosh
- updated to 3.5.14, updated patches, added -devel

Revision 1.27  2004/04/23 17:22:32  qboosh
- updated to 3.5.13, added desktop patch, install .desktop file

Revision 1.26  2004/04/04 19:02:24  qboosh
- fixed build, release 3

Revision 1.25  2004/04/04 18:49:59  qboosh
- lib64-aware mozilla/netscape dirs

Revision 1.24  2004/04/04 18:48:05  qboosh
- strict internal deps

Revision 1.23  2004/01/21 15:01:08  jajcus
- Release: 2
- AMD64 fixes

Revision 1.22  2003/09/29 23:27:46  ankry
- removed bogus -q from %prep

Revision 1.21  2003/07/12 22:21:33  ankry
- fixed md5

Revision 1.20  2003/07/12 19:01:17  qboosh
- 3.5.12
- removed -fno-strict-aliasing - aliasing problems have been worked around
  (by changing GPBuffer::* inlines to normal functions)

Revision 1.19  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.18  2003/05/25 05:46:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/13 18:29:00  qboosh
- up to 3.5.11, updated opt patch

Revision 1.16  2003/04/11 19:21:29  qboosh
- updated to 3.5.10
- updated opt patch, removed obsolete DESTDIR patch

Revision 1.15  2003/04/08 10:33:13  qboosh
- use http for sources from sourceforge

Revision 1.14  2003/03/20 17:40:04  qboosh
- updated paths

Revision 1.13  2003/02/07 18:47:42  migo
- random description fixes

Revision 1.12  2002/12/04 20:28:35  qboosh
- better workaround, release 2

Revision 1.11  2002/12/02 11:06:16  ankry
- massive cleaning

Revision 1.10  2002/10/11 19:33:49  qboosh
- updated to 3.5.9, removed obsolete gcc3 patch
- added nostrip patch
- workaround for SEGV when build by gcc 3.2 with "-O2 -march=athlon"
  (miscompilation? hard to find where :/)

Revision 1.9  2002/10/11 16:15:52  qboosh
- fixed build with libstdc++v3 (gcc3 patch); release 2

Revision 1.8  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.7  2002/08/29 23:11:42  blues
- 3.5.8 - STBR

Revision 1.6  2002/07/26 23:39:47  qboosh
- 3.5.7 - updated copyright notices with clarified patent statement

Revision 1.5  2002/07/11 19:48:21  qboosh
- standarized Source0 URL

Revision 1.4  2002/07/11 16:41:29  qboosh
- updated to 3.5.6, release 1

Revision 1.3  2002/05/21 23:12:56  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/05/17 23:24:56  qboosh
- partially fixed, added opt patch
- subpackages with djview (requires X+qt) and plugins
- works for me except endless loop with QT warnings after closing SkipStone
  (works good with Mozilla and Light, so it may be SkipStone bug)

Revision 1.1  2002/05/16 22:23:55  blues
- initial release (completely rewritten from temptate spec)
- release 0.1 - I don't even know whats that :) It builds. Interested
  in that package are welcome to do further work :)
